<?php
include 'init.php';

$open_url = convert_unicode($_REQUEST['open_url'], $config['charset']);

echo <<<HTML
<script language="javascript" type="text/javascript">
    $('#uploads-form').dialog({
        autoOpen: true,
        width: 470,
        buttons: {
            "Close": function() {
                $(this).dialog("close");
                $("#uploads-form").remove();
            }
        }
    });
</script>
HTML;

$content = <<<HTML
<iframe id="_AddUpload" src="{$open_url}" frameborder="0" width="100%" height="220px"></iframe>
HTML;

@header("Content-type: text/html; charset=".$config['charset']);
@header( "Expires: Mon, 26 Jul 1997 05:00:00 GMT" );
@header( "Last-Modified: " . gmdate( "D, d M Y H:i:s" ) . " GMT" );
@header( "Cache-Control: no-store, no-cache, must-revalidate" );
@header( "Cache-Control: post-check=0, pre-check=0", false );
@header( "Pragma: no-cache" );

echo "<div id='uploads-form' title='Загрузка файлов на сервер' style='display:none'>".$content."</div>";

?>